#
# spec file for package rubygem-haml
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-haml
Version:        4.0.7
Release:        7.3
%define mod_name haml
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://haml.info/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        An elegant, structured (X)HTML/XML templating engine
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Haml (HTML Abstraction Markup Language) is a layer on top of HTML or XML
that's
designed to express the structure of documents in a non-repetitive, elegant,
and
easy way by using indentation rather than closing tags and allowing Ruby to be
embedded with ease. It was originally envisioned as a plugin for Ruby on
Rails,
but it can function as a stand-alone templating engine.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Aug 11 2015 coolo@suse.com
- updated to version 4.0.7
  see installed CHANGELOG.md
  [#]# 4.0.7
  Released on August 10, 2015
  ([diff](https://github.com/haml/haml/compare/4.0.6...4.0.7)).
  * Significantly improve performance of regexp used to fix whitespace handling in textareas (thanks [Stan Hu](https://github.com/stanhu)).
* Mon Feb  9 2015 coolo@suse.com
- updated to version 4.0.6
  * Fix warning on Ruby 1.8.7 "regexp has invalid interval" (thanks [Elia Schito](https://github.com/elia)).
* Tue Sep 30 2014 mrueckert@suse.de
- update to new packaging scheme
* Thu Feb 20 2014 coolo@suse.com
- remove SUSE prefix from license
* Mon Jan 20 2014 coolo@suse.com
- updated to version 4.0.5
  * Fix haml_concat appending unescaped HTML after a call to haml_tag.
  * Fix for bug whereby when HAML :ugly option is "true",
  ActionView::Helpers::CaptureHelper::capture returns the whole view buffer
  when passed a block that returns nothing (thanks [Mircea
  Moise](https://github.com/mmircea16)).
* Fri Nov 22 2013 coolo@suse.com
- updated to version 4.0.4
  * Check for Rails::Railtie rather than Rails (thanks [Konstantin Shabanov](https://github.com/etehtsea)).
  * Parser fix to allow literal '#' with suppress_eval (Matt Wildig).
  * Helpers#escape_once works on frozen strings (as does
  ERB::Util.html_escape_once for which it acts as a replacement in
  Rails (thanks [Patrik Metzmacher](https://github.com/patrik)).
  * Minor test fix (thanks [Mircea Moise](https://github.com/mmircea16)).
* Fri May 24 2013 coolo@suse.com
- updated to version 4.0.3
  * Compatibility with newer versions of Rails's Erubis handler.
  * Fix Erubis handler for compatibility with Tilt 1.4.x, too.
  * Small performance optimization for html_escape.
  (thanks [Lachlan Sylvester](https://github.com/lsylvester))
  * Documentation fixes.
  * Documented some helper methods that were left out of the reference.
  (thanks [Shane Riley](https://github.com/shaneriley))
* Fri Apr 12 2013 coolo@suse.com
- updated to version 4.0.2
  * Explicitly require Erubis to work around bug in older versions of Tilt.
  * Fix :erb filter printing duplicate content in Rails views.
  (thanks [Jori Hardman](https://github.com/jorihardman))
  * Replace range with slice to reduce objects created by `capture_haml`.
  (thanks [Tieg Zaharia](https://github.com/tiegz))
  * Correct/improve some documentation.
* Sat Mar 23 2013 coolo@suse.com
- updated to version 4.0.1
  * Remove Rails 3.2.3+ textarea hack in favor of a more general solution.
  * Fix some performance regressions.
  * Fix support for Rails 4 `text_area` helper method.
  * Fix data attribute flattening with singleton objects.
  (thanks [Alisdair McDiarmid](https://github.com/alisdair))
  * Fix support for sass-rails 4.0 beta.
  (thanks [Ryunosuke SATO](https://github.com/tricknotes))
  * Load "haml/template" in Railtie in order to prevent user options set in a
  Rails initializer from being overwritten
  * Don't depend on Rails in haml/template to allow using Haml with ActionView
  but without Rails itself. (thanks [Hunter Haydel](https://github.com/wedgex))
* Sun Mar  3 2013 coolo@suse.com
- updated to version 4.0.0
  long list, see CHANGELOG.md
* Mon Aug 27 2012 cfarrell@suse.com
- license update: MIT and SUSE-WTFPL-2.0 and GPL-2.0 and Artistic-2.0
  Package is MIT licensed (see MIT license and README.md). However, the
  sass component under vendors has a GPL license and some of the tests are
  WTFPL licensed
* Sun Aug 26 2012 coolo@suse.com
- updated to version 3.1.7
  * relicensed to SUSE-WTFPL-2.0
* Tue Jun 26 2012 coolo@suse.com
- update to 3.1.6
  * fix for the rails 3.2.3 fix to work with rails 3.1
* Tue May  8 2012 coolo@suse.com
- update to 3.1.5
  * Respect Rails’ html_safe flag when escaping attribute values
  * Fix for Rails 3.2.3 textarea helpers
* Mon Apr  9 2012 coolo@suse.com
- update to 3.1.4
  Fix the use of FormBuilder#block with a label in Haml.
  Fix indentation after a self-closing tag with dynamic attributes.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sun Sep 18 2011 mrueckert@suse.de
- update to haml 3.1.3
  - Fix partial layouts
* Thu Jun  9 2011 aduffeck@novell.com
- update to haml 3.1.2
  - many bugfixes
  - fix incompatibility with the rails_xss security fix
    (http://weblog.rubyonrails.org/2011/6/8/potential-xss-vulnerability-in-ruby-on-rails-applications)
  - Rails 3 support
  - does not bundle sass anymore, which is now in rubygem-sass
* Fri Jun 18 2010 mrueckert@suse.de
- use rubygems_requires
* Tue May 25 2010 fcastelli@novell.com
- do not require explicitly rubygems version, calculate it at build time
* Thu May 20 2010 aduffeck@novell.com
- upgrade to haml 3.0.4 ( new features: Rails3 support, more useful multiline,
  color mixing, @extend...)
- incompatibilities:
  - haml: The puts helper has been removed. Use Haml::Helpers#haml_concat instead.
  - sass: new syntax SCSS. SASS2-files can be converted with:
    sass-convert --from sass2 style.sass style.scss
* Thu Feb 18 2010 aduffeck@novell.com
- upgrade to haml 2.2.20
* Thu Dec 17 2009 prusnak@suse.cz
- created package
